import { isDate, isFunction, isNil, isString, isNumber } from 'lodash-es';
import { DateTime } from 'luxon';
export const stringNotDate = (input) => {
    return isString(input);
};
export const firestoreTimestamp = (input) => {
    return isFunction(input.toDate);
};
export const toDate = (input) => {
    // This nil case expects that the validation will throw elsewhere
    if (isNil(input))
        return input;
    if (isNumber(input))
        return DateTime.fromMillis(input).toJSDate();
    if (isDate(input))
        return DateTime.fromJSDate(input).toUTC().toJSDate();
    if (firestoreTimestamp(input))
        return DateTime.fromJSDate(input.toDate()).toJSDate();
    if (!isString(input) && DateTime.isDateTime(input))
        return input.toJSDate();
    return stringNotDate(input) ? DateTime.fromISO(input).toUTC().toJSDate() : input;
};
//# sourceMappingURL=utils.js.map